Home/Support/Support Forum/incompatible pointer type warning in post_connection_check
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

incompatible pointer type warning in post_connection_check

0 votes
While rebuilding the digi driver on CentOS 5.5 system, I see the following warning:

rpmbuild --rebuild dgrp-1.9-31.src.rpm

gcc -c -DDIGI_VERSION=\""1.9-31"\" -DOPENSSL_NO_KRB5 -I../commoninc -I /usr/local/ssl/include -Wall -O -DLINUX -o drpd.o drpd.c
drpd.c: In function ‘post_connection_check’:
drpd.c:821: warning: passing argument 2 of ‘meth->d2i’ from incompatible pointer type


When I install the rpm created from the rebuild, everything works fine and am able to use the digi server. I just don't know if this will cause any problems down the road?? Should I ignore this error??

Thx!!
asked Aug 13, 2014 in Realport by goinoff New to the Community (0 points)
retagged Aug 13, 2014 by goinoff

Please log in or register to answer this question.

1 Answer

0 votes
The warning is really no cause for concern, so long as the driver compiled without "errors". However, it should be noted that there is a new driver version available which is always recommended:

http://ftp1.digi.com/support/driver/40002086_U.src.rpm
answered Aug 15, 2014 by userid0 Veteran of the Digi Community (2,158 points)
...